<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml"></html>
<head>
    <meta charset="UTF-8">
    <title>Users</title>
</head>
<body>

<br/>
<br/>
<h2>List of users</h2>
<div th:if="${listUsers != null}">
    <table class="tg">
        <tr>
            <th style="width:80px">#</th>
            <th style="width:120px">Login</th>
            <th style="width:120px">First name</th>
            <th style="width:120px">Last name</th>
            <th style="width:120px">Role</th>
            <th style="width:120px">Status</th>
            <th style="width:60px">Edit</th>
            <th style="width:60px">Delete</th>
        </tr>
        <div th:each="user : ${listUsers}">
            <tr>
                <td th:text="${user.id}"></td>
                <td><a th:href="@{{id}(id=${user.id})}" th:text="${user.login}"></a></td>
                <td><a th:text="${user.firstName}"></a></td>
                <td><a th:text="${user.lastName}"></a></td>
                <td><a th:text="${user.role.name}"></a></td>
                <td><a th:text="${user.status.name}"></a></td>
                <td><a th:href="@{edit/{id}(id=${user.id})}">Edit</a></td>
                <td><a th:href="@{remove/{id}(id=${user.id})}">Delete</a></td>
            </tr>
        </div>
    </table>
</div>

<!--<h2 th:text="${userForm.id == 0} ? 'Add new User' : 'Edit User'"></h2>

<form action="#" th:action="@{/users/add}" th:object="${userForm}" method="post" style="margin: 1rem">
    <div class="mb-3 row">
        <label for="name" class="col-sm-1 col-form-label">Name</label>
        <div class="col-sm-11">
            <input type="hidden" th:value="${userForm.id}" th:attr="name='id'"/>
            <input type="text" th:field="*{name}" id="name" th:value="${userForm.login}">
            <input type="hidden" th:value="${user.id}" th:attr="name='parentUserId'"/>
        </div>
    </div>

    <input type="submit" th:value="${userForm.id == 0} ? 'Add User' : 'Save'">
</form>-->


</body>
</html>